Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles

Nope the only options are x86 or x86_64 or both. I can try a built on the version of Unity i m using right now (5.6.2f1) if you want. 

Is x86_64 fine for you ?

x86_64 would be fine. As long as it runs well.